Click or drag to resize

BrepLoopListAdd Method (BrepLoopType, BrepFace)

Create a new boundary loop on a face. After you get this BrepLoop, you still need to create the vertices, edges, and trims that define the loop.

Namespace:  Rhino.Geometry.Collections
Assembly:  RhinoCommon (in RhinoCommon.dll)
public BrepLoop Add(
	BrepLoopType loopType,
	BrepFace face


Type: Rhino.GeometryBrepLoopType

[Missing <param name="loopType"/> documentation for "M:Rhino.Geometry.Collections.BrepLoopList.Add(Rhino.Geometry.BrepLoopType,Rhino.Geometry.BrepFace)"]

Type: Rhino.GeometryBrepFace

[Missing <param name="face"/> documentation for "M:Rhino.Geometry.Collections.BrepLoopList.Add(Rhino.Geometry.BrepLoopType,Rhino.Geometry.BrepFace)"]

Return Value

Type: BrepLoop
New loop that needs to be filled in
Version Information

Rhino for Mac

Supported in: 5.4

Rhino for Windows

Supported in: 6.2
See Also